Leap0

Validate SSH access

Check whether a specific SSH access credential is valid and not expired.

POST
/v1/sandbox/{sandboxID}/ssh/{sshID}/validate

Check whether a specific SSH access credential is valid and not expired.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

sshID*string

Unique SSH credential identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

password*string

SSH access password to validate.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/ssh/string/validate" \  -H "Content-Type: application/json" \  -d '{    "password": "string"  }'
{  "valid": true,  "sandbox_id": "string"}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}
{  "message": "string"}